Main Page Class Hierarchy Compound List File List Compound Members File Members

# earthworm_complex_funcs.h File Reference

`#include <platform.h>`

Go to the source code of this file.

## Functions
void | CreateSemaphore_ew (void)
void | PostSemaphore (void)
void | WaitSemPost (void)
void | DestroySemaphore (void)
void | CreateMutex_ew (void)
void | RequestMutex (void)
void | ReleaseMutex_ew (void)
void | CloseMutex (void)
void | CreateSpecificMutex (mutex_t *)
void | CloseSpecificMutex (mutex_t *)
void | RequestSpecificMutex (mutex_t *)
void | ReleaseSpecificMutex (mutex_t *)
void | SocketSysInit (void)
void | SocketClose (int)
void | SocketPerror (char *)
int | sendall (int, const char *, long, int)
int | WaitThread (unsigned *)
int | KillThread (unsigned int)
int | KillSelfThread (void)
int | StartThread (thr_ret(void *), unsigned int, unsigned int *)
int | StartThreadWithArg (thr_ret(void *), void *, unsigned, unsigned *)

## Function Documentation

void CloseMutex | ( | void |  | ) |

| Definition at line 73 of file sema_ew.c.

void CloseSpecificMutex | ( | mutex_t * |  | ) |

| Referenced by release_pri_queue().

void CreateMutex_ew | ( | void |  | ) |

| Definition at line 37 of file sema_ew.c. References logit(), and mutSem.

void CreateSemaphore_ew | ( | void |  | ) |

| Definition at line 132 of file sema_ew.c. References logit(), and semahandle.

void CreateSpecificMutex | ( | mutex_t * |  | ) |

| Referenced by init_pri_queue(), and logit_init().

void DestroySemaphore | ( | void |  | ) |

| Definition at line 177 of file sema_ew.c.

int KillSelfThread | ( | void |  | ) |

| Definition at line 104 of file threads_ew.c.

int KillThread | ( | unsigned | int | ) |

| Definition at line 149 of file threads_ew.c.

void PostSemaphore | ( | void |  | ) |

| Definition at line 153 of file sema_ew.c. References FALSE, and logit().

void ReleaseMutex_ew | ( | void |  | ) |

| Definition at line 61 of file sema_ew.c. References logit().

void ReleaseSpecificMutex | ( | mutex_t * |  | ) |

| Referenced by add_item(), html_logit(), logit(), peek_next_item(), and pop_next_item().

void RequestMutex | ( | void |  | ) |

| Definition at line 50 of file sema_ew.c.

void RequestSpecificMutex | ( | mutex_t * |  | ) |

| Referenced by add_item(), html_logit(), logit(), peek_next_item(), and pop_next_item().

int sendall | ( | int | ,
|  | const char * | ,
|  | long | ,
|  | int |
| ) |

| Definition at line 88 of file socket_ew.c. References logit(), and SENDALL_MAX_LUMP.

void SocketClose | ( | int |  | ) |

| Definition at line 59 of file socket_ew.c. References SocketPerror(). Referenced by wave_inquire(), and wave_request().

void SocketPerror | ( | char * |  | ) |

| Definition at line 71 of file socket_ew.c. References logit(), and socketGetError_ew(). Referenced by SocketClose(), wave_inquire(), and wave_request().

void SocketSysInit | ( | void |  | ) |

| Definition at line 37 of file socket_ew.c.

int StartThread | ( | thr_ret(void *) | ,
|  | unsigned | int,
|  | unsigned int * |
| ) |

int StartThreadWithArg | ( | thr_ret(void *) | ,
|  | void * | ,
|  | unsigned | ,
|  | unsigned * |
| ) |

void WaitSemPost | ( | void |  | ) |

| Definition at line 165 of file sema_ew.c. References logit().

int WaitThread | ( | unsigned * |  | ) |

| Definition at line 124 of file threads_ew.c.